wxWidgets: wxFontInfo Class Reference

| Version: 3.0.2

- Main Page
- Related Pages
- Categories
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
wxFontInfo Class Reference

`#include <wx/font.h>`

## Detailed Description

This class is a helper used for wxFont creation using named parameter idiom: it allows to specify various wxFont attributes using the chained calls to its clearly named methods instead of passing them in the fixed order to wxFont constructors.

For example, to create an italic font with the given face name and size you could use:

wxFont font(wxFontInfo(12).FaceName("Helvetica").Italic());

Notice that all of the methods of this object return a reference to the object itself, allowing the calls to them to be chained as in the example above.

All methods taking boolean parameters can be used to turn the specified font attribute on or off and turn it on by default.

Since
  2.9.5

## Public Member Functions
| wxFontInfo ()
| Default constructor uses the default font size for the current platform.
| wxFontInfo (int pointSize)
| Constructor setting the font size in points to use.
| wxFontInfo (const wxSize &pixelSize)
| Constructor setting the font size in pixels to use.
wxFontInfo & | Family (wxFontFamily family)
| Set the font family.
wxFontInfo & | FaceName (const wxString &faceName)
| Set the font face name to use.
wxFontInfo & | Bold (bool bold=true)
| Use a bold version of the font.
wxFontInfo & | Light (bool light=true)
| Use a lighter version of the font.
wxFontInfo & | Italic (bool italic=true)
| Use an italic version of the font.
wxFontInfo & | Slant (bool slant=true)
| Use a slanted version of the font.
wxFontInfo & | AntiAliased (bool antiAliased=true)
| Set anti-aliasing flag.
wxFontInfo & | Underlined (bool underlined=true)
| Use an underlined version of the font.
wxFontInfo & | Strikethrough (bool strikethrough=true)
| Use a strike-through version of the font.
wxFontInfo & | Encoding (wxFontEncoding encoding)
| Set the font encoding to use.
wxFontInfo & | AllFlags (int flags)
| Set all the font attributes at once.

## Constructor & Destructor Documentation

wxFontInfo::wxFontInfo | ( |  | ) |

Default constructor uses the default font size for the current platform.

wxFontInfo::wxFontInfo | ( | int | pointSize | ) |
| explicit

Constructor setting the font size in points to use.

See Also
  wxFont::SetPointSize()

wxFontInfo::wxFontInfo | ( | const wxSize & | pixelSize | ) |
| explicit

Constructor setting the font size in pixels to use.

See Also
  wxFont::SetPixelSize()

## Member Function Documentation

wxFontInfo& wxFontInfo::AllFlags | ( | int | flags | ) |

Set all the font attributes at once.

See wxFontFlag for the various flags that can be used.

wxFontInfo& wxFontInfo::AntiAliased | ( | bool | antiAliased = `true` | ) |

Set anti-aliasing flag.

Force the use of anti-aliasing on or off.

Currently this is not implemented, i.e. using this method doesn't do anything.

wxFontInfo& wxFontInfo::Bold | ( | bool | bold = `true` | ) |

Use a bold version of the font.

See Also
  wxFontWeight, wxFont::SetWeight()

wxFontInfo& wxFontInfo::Encoding | ( | wxFontEncoding | encoding | ) |

Set the font encoding to use.

This is mostly unneeded in Unicode builds of wxWidgets.

See Also
  wxFontEncoding, wxFont::SetEncoding()

wxFontInfo& wxFontInfo::FaceName | ( | const wxString & | faceName | ) |

Set the font face name to use.

Face names are not portable, so prefer to use Family() in portable code.

See Also
  wxFont::SetFaceName()

wxFontInfo& wxFontInfo::Family | ( | wxFontFamily | family | ) |

Set the font family.

The family is a generic portable way of referring to fonts without specifying a precise face name. This parameter must be one of the wxFontFamily enumeration values.

If the FaceName() is used, then it overrides the font family.

See Also
  wxFont::SetFamily()

wxFontInfo& wxFontInfo::Italic | ( | bool | italic = `true` | ) |

Use an italic version of the font.

See Also
  wxFontStyle, wxFont::SetStyle()

wxFontInfo& wxFontInfo::Light | ( | bool | light = `true` | ) |

Use a lighter version of the font.

See Also
  wxFontWeight, wxFont::SetWeight()

wxFontInfo& wxFontInfo::Slant | ( | bool | slant = `true` | ) |

Use a slanted version of the font.

See Also
  wxFontStyle, wxFont::SetStyle()

wxFontInfo& wxFontInfo::Strikethrough | ( | bool | strikethrough = `true` | ) |

Use a strike-through version of the font.

Currently this is only implemented in wxMSW and wxGTK.

wxFontInfo& wxFontInfo::Underlined | ( | bool | underlined = `true` | ) |

Use an underlined version of the font.